Subject: Re: bug#41097: 28.0.50; (dired-toggle-marks) not working after copy

From: Jean Louis <[email-masked]>
Date: Fri, 8 May 2020 16:29:24 +0300

* Arthur Miller <[email-masked]> [2020-05-08 12:06]:
> I didn what you said, but it worked fine for me.
> 
> One remark is that I don't see any pre-configured shortcut to use with
> C-x 4 (operations on other window), so I created directory and switched
> to other window. Besides that, I did what you said and it worked fine in
> my Emacs started with -Q flag.

Ask somebody else to try. I am using latest git version from Emacs.

emacs -Q

C-x C-f to /tmp directory
C-x 3 to make 2 windows vertical
in other directory, make new directory like /tmp/new
create file in /tmp or choose any file with m, marking it
use C to copy to /tmp/new
C-x o to other window where file is copied, it has C mark
press t to toggle, it is not working

Compare it maybe to my lossage. I cannot know why is it happening and
if you are doing something different.

My lossage;

 C-x C-f		;; find-file
 C-a			;; move-beginning-of-line
 C-d			;; delete-char
 <return>		;; minibuffer-complete-and-exit
 C-x 3			;; split-window-right
 C-x o			;; other-window
 C-n			;; dired-next-line
 C-n			;; dired-next-line
 C-n			;; dired-next-line
 C-n			;; dired-next-line
 C-n			;; dired-next-line
 C-n			;; dired-next-line
 <return>		;; dired-find-file
 C-x o			;; other-window
 C-x o			;; other-window
 d			;; dired-flag-file-deletion
 x			;; dired-do-flagged-delete
 y			;; self-insert-command
 e			;; self-insert-command
 s			;; self-insert-command
 <return>		;; exit-minibuffer
 C-x o			;; other-window
 n			;; dired-next-line
 n			;; dired-next-line
 n			;; dired-next-line
 n			;; dired-next-line
 n			;; dired-next-line
 n			;; dired-next-line
 n			;; dired-next-line
 m			;; dired-mark
 C			;; dired-do-copy
 <return>		;; exit-minibuffer
 C			;; dired-do-copy
 n			;; self-insert-command
 e			;; self-insert-command
 <tab>			;; minibuffer-complete
 <return>		;; exit-minibuffer
 C-x o			;; other-window
 t			;; dired-toggle-marks
 <tab>			;; indent-for-tab-command
 C-e			;; move-end-of-line
 t			;; dired-toggle-marks
 t			;; dired-toggle-marks
 t			;; dired-toggle-marks
 t			;; dired-toggle-marks
 t			;; dired-toggle-marks
 M-x			;; execute-extended-command
 v			;; self-insert-command
 i			;; self-insert-command
 e			;; self-insert-command
 w			;; self-insert-command
 l			;; self-insert-command
 <backspace>		;; delete-backward-char
 -			;; self-insert-command
 l			;; self-insert-command
 o			;; self-insert-command
 s			;; self-insert-command
 <tab>			;; minibuffer-complete
 <return>		;; minibuffer-complete-and-exit